/// <reference types="react" />
declare const Kind: {
    readonly MESSAGE: 0;
    readonly SUCCESS: 1;
    readonly FAILURE: 2;
    readonly CUSTOM: 3;
    readonly CLIP: 4;
};
declare const Position: {
    readonly TOP: 0;
    readonly BOTTOM: 1;
};
interface ToastOptions {
    position?: (typeof Position)[keyof typeof Position];
    duration?: number;
    component?: React.ReactElement;
}
type ToastFn = (content: string | React.ReactElement | null, kind?: (typeof Kind)[keyof typeof Kind], opts?: ToastOptions) => unknown;
export interface Toast {
    toast: ToastFn;
    Kind: typeof Kind;
    Position: typeof Position;
}
declare const _default: Toast;
export default _default;
